package org.josast.amicalsat;

import org.josast.amicalsat.FrameTlmAmicalsat.FlagsType;
import org.josast.amicalsat.FrameTlmAmicalsat.M1Type;

//#M1;FLAGS;[Timestamp];[Hex flags]
public class FlagsTypeFrame extends Frame {

	private String timeStamps;
	private String hexFlags;

	@Override
	public void setUp(FrameTlmAmicalsat cube) {
		M1Type m1type = (M1Type) cube.frameTlmEntrySat().payload().tlmAreaSwitch();
		FlagsType log = (FlagsType) m1type.tlmSw();
		
		timeStamps = m1type.timeStamps();
		hash.put("TimeStamp", timeStamps);
		hexFlags = log.hexFlags();
		hash.put("hexFlags", hexFlags);		
	}
	


}
